Package org.gradle.api.artifacts.dsl

## Interface DependencyLockingHandler

-     public interface DependencyLockingHandler

  A `DependencyLockingHandler` manages the behaviour and configuration of dependency locking.
  Since:
    4.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LockMode` | `getLockMode()` | Allows to query the lock mode currently configured
    `void` | `lockAllConfigurations()` | Convenience method for doing: configurations.all { resolutionStrategy.activateDependencyLocking() }
    `void` | `setLockMode​(LockMode mode)` | Sets the lock mode
    `void` | `unlockAllConfigurations()` | Convenience method for doing: configurations.all { resolutionStrategy.deactivateDependencyLocking() }

- - ### Method Detail

    - #### lockAllConfigurations

          void lockAllConfigurations()

      Convenience method for doing: configurations.all { resolutionStrategy.activateDependencyLocking() }

    - #### unlockAllConfigurations

          @Incubating
          void unlockAllConfigurations()

      Convenience method for doing: configurations.all { resolutionStrategy.deactivateDependencyLocking() }
      Since:
        6.0

    - #### getLockMode

          @Incubating
          LockMode getLockMode()

      Allows to query the lock mode currently configured
      Since:
        6.1

    - #### setLockMode

          @Incubating
          void setLockMode​(LockMode mode)

      Sets the lock mode
      Since:
        6.1